/*
 * This is part of Geomajas, a GIS framework, http://www.geomajas.org/.
 *
 * Copyright 2008-2013 Geosparc nv, http://www.geosparc.com/, Belgium.
 *
 * The program is available in open source according to the Apache
 * License, Version 2.0. All contributions in this program are covered
 * by the Geomajas Contributors License Agreement. For full licensing
 * details, see LICENSE.txt in the project root.
 */
package org.geomajas.sld.editor.expert.client;

import org.geomajas.sld.editor.expert.client.presenter.SldEditorExpertPresenter;

import com.google.inject.Inject;
import com.google.web.bindery.event.shared.EventBus;
import com.gwtplatform.mvp.client.proxy.PlaceManagerImpl;
import com.gwtplatform.mvp.client.proxy.PlaceRequest;
import com.gwtplatform.mvp.client.proxy.TokenFormatter;

/**
 * This PlaceManager will default to the expert editor. Write your own if you want another default page.
 * 
 * @author Kristof Heirwegh
 */
public class SldEditorPlaceManager extends PlaceManagerImpl {

	private final PlaceRequest defaultPlaceRequest;

	@Inject
	public SldEditorPlaceManager(final EventBus eventBus, final TokenFormatter tokenFormatter) {
		super(eventBus, tokenFormatter);

		this.defaultPlaceRequest = new PlaceRequest(SldEditorExpertPresenter.NAMETOKEN);
	}

	public void revealDefaultPlace() {
		revealPlace(defaultPlaceRequest, false);
	}
}